### Function

# Camel DBSelectCB

since: 3.58

#### Declaration

    gboolean
    (* CamelDBSelectCB) (
      gpointer user_data,
      gint ncol,
      gchar** colvalues,
      gchar** colnames
    )

#### Description [src]

A callback called for the SELECT statements. The items at the same index of `colvalues` and `colnames` correspond to each other.

Available since: 3.58

#### Parameters

`user_data`

  Type: `gpointer`

  A callback user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`ncol`

  Type: `gint`

  How many columns is provided.

`colvalues`

  Type: An array of `gchar*`

  Array of column values, as UTF-8 strings.

  The length of the array is specified in the `ncol` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`colnames`

  Type: An array of `gchar*`

  Array of column names.

  The length of the array is specified in the `ncol` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` to continue, `FALSE` to abort the execution.